package com.clx.performance.controller.feign;

import com.clx.performance.param.pc.owner.FrozenAccountParam;
import com.clx.performance.service.OwnerAccountService;
import com.msl.common.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/feign/owner")
@Validated
@AllArgsConstructor
public class OwnerAccountFeignController {

    private final OwnerAccountService ownerAccountService;


    @ApiOperation(value = "冻结保证金", notes = "<br>By:胡宇帆")
    @PostMapping("/ownerAccountFrozen")
    public Result<Object> ownerAccountFrozen(FrozenAccountParam param) {
        ownerAccountService.ownerAccountFrozen(param);
        return Result.ok();
    }
}
